Bug 1542118 - [downstream clone - 4.2.2] [RFE] Add facility to move a memory volume
Summary: [downstream clone - 4.2.2] [RFE] Add facility to move a memory volume
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ovirt-4.2.2
: ---
Assignee: Tal Nisan
QA Contact: Kevin Alon Goldblatt
URL:
Whiteboard:
Depends On: 1150245
Blocks: 1538360
TreeView+ depends on / blocked
 
Reported: 2018-02-05 15:40 UTC by rhev-integ
Modified: 2021-03-11 20:08 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of: 1150245
Environment:
Last Closed: 2018-05-15 17:48:28 UTC
oVirt Team: Storage
Target Upstream Version:
lsvaty: testing_plan_complete-


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 1203663 0 None None None 2018-02-05 20:33:37 UTC
Red Hat Product Errata RHEA-2018:1488 0 None None None 2018-05-15 17:49:44 UTC
oVirt gerrit 88092 0 master MERGED core: Use new memory volumes VDSM API in version 4.2 and onward 2018-02-27 15:42:19 UTC
oVirt gerrit 88259 0 ovirt-engine-4.2 MERGED core: Use new memory volumes VDSM API in version 4.2 and onward 2018-02-27 16:18:40 UTC

Description rhev-integ 2018-02-05 15:40:20 UTC
+++ This bug is an upstream to downstream clone. The original bug is: +++
+++   bug 1150245 +++
======================================================================

Description of problem:
Memory volumes are created on a storage domain without allowing the user to choose where they go, and their existence may interfere with the admin's ability to manage that domain (see, e.g., bug 1145658).
One way around this is the ability to remove these volumes (see bug 1150242), but as they may be important, it's also critical to have the ability to move them to another domain.

(Originally by Allon Mureinik)

Comment 1 rhev-integ 2018-02-05 15:40:28 UTC
This is an automated message.
This Bugzilla report has been opened on a version which is not maintained anymore.
Please check if this bug is still relevant in oVirt 3.5.4.
If it's not relevant anymore, please close it (you may use EOL or CURRENT RELEASE resolution)
If it's an RFE please update the version to 4.0 if still relevant.

(Originally by Sandro Bonazzola)

Comment 3 rhev-integ 2018-02-05 15:40:34 UTC
*** Bug 1509807 has been marked as a duplicate of this bug. ***

(Originally by Tal Nisan)

Comment 5 Marina Kalinin 2018-02-05 20:14:27 UTC
Allon / Tal, how this bug is different from this: 1150242?
To me sounds like this bug implementation should contain bz#1150242 and this other bz can be close duplicate of this one.

Comment 10 Kevin Alon Goldblatt 2018-03-25 17:00:20 UTC
Verified with the following code:
------------------------------------------
ovirt-engine-4.2.2.5-0.1.el7.noarch
vdsm-4.20.23-1.el7ev.x86_64

Verified with the following scenario:
------------------------------------------
1. Created a VM with disks
2. Start the VM
3. Created snapshot with memory
4. Via the Webadmin -> disks tab select the data memory snapshot disk and move it to another domain
5. Move the meta data memory snanpshot disk to the same domain as the data memory snapshot disk
6. Power off the VM
7. Preview the snapshot
8. Undo the previewed snapshot
9. Start the VM

Moving to verified

Comment 11 Tal Nisan 2018-03-25 17:15:07 UTC
Those are indeed the correct steps, moving of the two volumes and see if the snapshot can be previewed with the memory

Comment 15 errata-xmlrpc 2018-05-15 17:48:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:1488

Comment 16 Franta Kust 2019-05-16 13:03:14 UTC
BZ<2>Jira Resync


Note You need to log in before you can comment on or make changes to this bug.